# $Revision: 1.1 $, $Date: 2010/08/02 11:25:39 $
Summary:	OpenGL-FreeType Library
Name:		OGLFT
Version:	0.9
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/oglft/oglft-%{version}.tar.gz
# Source0-md5:	c3a8e0993f98edb7611c20f46631d2a6
URL:		http://oglft.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	gle-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ library that supplies an interface between the fonts on a system
and an OpenGL or Mesa application. It uses the excellent FreeType
library to read font faces from their files and renders text strings
as OpenGL primitives. 

%package devel
Summary:	Header files for OGLFT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for OGLFT.

%package static
Summary:	Static version of OGLFT
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of OGLFT.

%prep
%setup -q -n oglft-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%{__libtoolize}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libOGLFT.so.1.*.*
%attr(755,root,root) %ghost %{_libdir}/libOGLFT.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/html
%{_includedir}/oglft
%attr(755,root,root) %{_libdir}/libOGLFT.so
%{_libdir}/libOGLFT.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libOGLFT.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: OGLFT.spec,v $
Revision 1.1  2010/08/02 11:25:39  gotar
- initial PLD release
